body.modal-open .modal-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5); 
    backdrop-filter: blur(5px); 
    z-index: 999; 
}

.modal {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: rgba(255, 255, 255, 0.8); 
    width: 400px;
    padding: 20px;
    border-radius: 10px;
    z-index: 1000; 
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    display: none; 
}

.modal-content {
    background-color: white;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 4px 20px rgba(0, 0, 0, 0.3);
}

hr {
    margin: 5px 0;
}

.close-btn {
    background-color: rgb(131, 10, 131);
    color: white;
    border: none;
    padding: 10px 15px;
    border-radius: 5px;
    cursor: pointer;
}
.modal-content p {
    text-align: justify; 
}
@media (max-width: 756px) {
    .modal {
        width: 400px; 
        padding: 10px; 
    }
}


